VA_SCALE_FLOAT(3)

FUNCTION
va_scale_float - Scale and offset an array of floats.

SYNOPSIS
#include <karma_va.h>

void va_scale_float

(float *out, int out_stride, float *inp, int inp_stride, int length, float scale, float offset)

DESCRIPTION
This routine will perform a scale and offset operation on an array of floating point numbers. The arithmetic form is as follows: out[i] = inp[i] * scale + offset

out The result array will be written here.

out_stride
    The stride (in floats) of consecutive elements in the output array.

inp The input array.

inp_stride
    The stride (in floats) of consecutive elements in the input array.

length
    The length of the input and output arrays.

scale
    The scale factor.

offset
    The offset value.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

NOTE
The elements of the input and output arrays must be aligned on a float boundary.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/